## objgraph 3.5.0

=== Makefile ===
PYTHON = python3

FILE_WITH_VERSION = objgraph.py
FILE_WITH_CHANGELOG = CHANGES.rst

VCS_DIFF_IMAGES = git diff docs/*.png

SPHINXOPTS      =
SPHINXBUILD     = sphinx-build
SPHINXBUILDDIR  = docs/_build
ALLSPHINXOPTS   = -d $(SPHINXBUILDDIR)/doctrees $(SPHINXOPTS) docs/


.PHONY: all
all:
	@echo "Nothing to build here"

.PHONY: images
images:                         ##: regenerate graphs used in documentation
	$(PYTHON) setup.py --build-images

.PHONY: docs
docs:                           ##: build HTML documentation
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(SPHINXBUILDDIR)/html
	@echo
	@echo "Now look at $(SPHINXBUILDDIR)/html/index.html"

.PHONY: clean
clean:                          ##: remove build artifacts
	-rm -rf $(SPHINXBUILDDIR)/* build

.PHONY: test
test:                           ##: run tests
	tox -p auto

.PHONY:
check:
# 'make check' is defined in release.mk and here's how you can override it
define check_recipe =
	@$(MAKE) coverage
endef

.PHONY: coverage
coverage:                       ##: measure test coverage
	tox -e coverage2,coverage3

.PHONY: flake8
flake8:                         ##: check for style problems
	flake8

# Make sure $(VCS_DIFF_IMAGES) can work
.PHONY: config-imgdiff
config-imgdiff:
	@test -z "`git config diff.imgdiff.command`" && git config diff.imgdiff.command 'f() { imgdiff --eog -H $$1 $$2; }; f' || true

.PHONY: imgdiff
imgdiff: config-imgdiff         ##: compare differences in generated images
	$(VCS_DIFF_IMAGES)


.PHONY: releasechecklist
releasechecklist: check-date  # also release.mk will add other checks

include release.mk

.PHONY: check-date
check-date:
	@date_line="__date__ = '`date +%Y-%m-%d`'" && \
	    grep -q "^$$date_line$$" $(FILE_WITH_VERSION) || { \
	        echo "$(FILE_WITH_VERSION) doesn't specify $$date_line"; \
	        echo "Please run make update-date"; exit 1; }

.PHONY: update-date
update-date:                    ##: set release date in source code to today
	sed -i -e "s/^__date__ = '.*'/__date__ = '`date +%Y-%m-%d`'/" $(FILE_WITH_VERSION)


.PHONY: do-release
do-release: config-imgdiff

# override the release recipe in release.mk
define release_recipe =
	# I'm chicken so I won't actually do these things yet
	@echo "It is a good idea to run"
	@echo
	@echo "  make clean images docs"
	@echo
	@echo "about now.  Then review the images for unexpected differences with"
	@echo
	@echo "  make imgdiff"
	@echo
	@echo "then either revert or commit the new images and run"
	@echo
	@echo "  $(PYPI_PUBLISH)"
	@echo "  $(VCS_TAG)"
	@echo "  make publish-docs"
	@echo
	@echo "Please increment the version number in $(FILE_WITH_VERSION)"
	@echo "and add a new empty entry at the top of the changelog in $(FILE_WITH_CHANGELOG), then"
	@echo
	@echo '  $(VCS_COMMIT_AND_PUSH)'
	@echo
endef

# XXX: I should switch to readthedocs.org
.PHONY: publish-docs
publish-docs:                   ##: publish documentation on the website
	test -d ~/www/objgraph || { \
	    echo "There's no ~/www/objgraph, do you have the website checked out?"; exit 1; }
	make clean docs
	cp -r docs/_build/html/* ~/www/objgraph/
	cd ~/www/objgraph && git add . && git status
	@echo
	@echo "If everything looks fine, please run"
	@echo
	@echo "  cd ~/www/ && git commit -m \"Released objgraph `$(PYTHON) setup.py --version`\" && git push"
	@echo "  ssh fridge 'cd www && git pull'"
	@echo

=== debian/changelog ===
objgraph (3.5.0-6) unstable; urgency=medium

  * Team upload.
  * d/control: add b-d on pytest to force tests to run via something other
    than the deprecated "python3 setup.py test" command.
  * d/tests: run tests with all available python versions.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 02 Dec 2022 19:42:38 -0500

objgraph (3.5.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-all and
      python3-sphinx.
  * Update standards version to 4.6.1, no changes needed.

  [ Stefano Rivera ]
  * Patch: Python 3.11 support. (Closes: #1025015)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 28 Nov 2022 20:37:02 -0400

objgraph (3.5.0-4) unstable; urgency=medium

  * Patch: Avoid a py2-style exec in sphinx docs/conf.py, instead parse the
  version from the objgraph.py. Fixes FTBFS with python3-sphinx 4.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 22 Oct 2021 10:52:42 -0700

objgraph (3.5.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Stefano Rivera ]
  * Source-only upload.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Bump copyright years.
  * Bump watch file version to 4.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 17 Sep 2021 21:07:55 -0700

objgraph (3.5.0-2) unstable; urgency=medium

  * Set upstream metadata fields: Repository.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 21 Aug 2021 13:53:02 +0100

objgraph (3.5.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Refresh patches.
  * Update upstream metadata.
  * Bump copyright years.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Drop Build-Depends and autopkgtest Depends on python3-mock, stdlib mock is
    now used.
  * Bump xdot to Recommends, objgraph tends to be used directly by developers,
    so the Recommends set doesn't need to be minimal.
  * Drop Suggests & Recommends on graphviz & xdot from python-objgraph-doc,
    there aren't dot files there.
  * Recommend python3-graphviz, it has been packaged for a while now, and is
    useful when using objgraph in Jupyter.
  * Depend on python3-setuptools in the autopkgtest: setup.py is tested.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-objgraph-doc: Add Multi-Arch: foreign.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 14 Oct 2020 19:45:57 -0700

=== debian/control ===
Source: objgraph
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 graphviz,
 python3-all,
 python3-graphviz,
 python3-setuptools,
 python3-sphinx,
 python3-pytest <!nocheck>
Standards-Version: 4.6.1
Homepage: https://mg.pov.lt/objgraph/
Vcs-Git: https://salsa.debian.org/python-team/packages/objgraph.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/objgraph
Rules-Requires-Root: no

Package: python3-objgraph
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: graphviz, python3-graphviz, xdot
Suggests: python-objgraph-doc
Description: Module for exploring Python object reference graphs
 objgraph is a module that lets you visually explore Python object graphs.
 .
 It can be used for counting and statistics, finding root references
 responsible for large object trees and export the object reference graphs in
 graphviz format.

Package: python-objgraph-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Module for exploring Python object reference graphs (Documentation)
 objgraph is a module that lets you visually explore Python object graphs.
 .
 It can be used for counting and statistics, finding root references
 responsible for large object trees and export the object reference graphs in
 graphviz format.
 .
 This package contains the documentation for objgraph.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=objgraph
export PYBUILD_TEST_ARGS=-v tests.py

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	$(MAKE) docs SPHINXOPTS=-NE

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build docs/_build

override_dh_installdocs:
	# Override the heuristics. Given the py2/3 split, the -doc package is the
	# best place to put this
	dh_installdocs -p python-objgraph-doc --doc-main-package=python-objgraph-doc
	dh_installdocs -N python-objgraph-doc

=== debian/tests/control ===
Tests: unittests3
Depends: graphviz, python3-all, python3-objgraph, python3-setuptools

## objgraph 3.6.0

=== debian/changelog ===
objgraph (3.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patches, superseded upstream: no-graphviz, py3-sphinx, python3.11.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 20 Jun 2023 08:35:37 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-pytest <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://mg.pov.lt/objgraph/
 Vcs-Git: https://salsa.debian.org/python-team/packages/objgraph.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/objgraph

## objgraph 3.6.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 VCS_DIFF_IMAGES = git diff docs/*.png
 
-SPHINXOPTS      =
+SPHINXOPTS      = -Wn
 SPHINXBUILD     = sphinx-build
 SPHINXBUILDDIR  = docs/_build
 ALLSPHINXOPTS   = -d $(SPHINXBUILDDIR)/doctrees $(SPHINXOPTS) docs/
@@ -42,11 +42,11 @@
 
 .PHONY: coverage
 coverage:                       ##: measure test coverage
-	tox -e coverage2,coverage3
+	tox -e coverage
 
 .PHONY: flake8
 flake8:                         ##: check for style problems
-	flake8
+	tox -e flake8
 
 # Make sure $(VCS_DIFF_IMAGES) can work
 .PHONY: config-imgdiff

=== debian/changelog ===
objgraph (3.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump copyright years.
  * Run tests using upstream's test.py, not pytest. (Closes: #1064689)
  * Patch: Skip the setup.py test.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 28 Feb 2024 10:56:59 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  python3-graphviz,
  python3-setuptools,
  python3-sphinx,
- python3-pytest <!nocheck>
 Standards-Version: 4.6.2
 Homepage: https://mg.pov.lt/objgraph/
 Vcs-Git: https://salsa.debian.org/python-team/packages/objgraph.git

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/objgraph/objgraph-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## objgraph 3.6.2

=== Makefile ===
--- 
+++ 
@@ -95,6 +95,10 @@
 	@echo "  $(VCS_TAG)"
 	@echo "  make publish-docs"
 	@echo
+	@echo "then create a GitHub release with"
+	@echo
+	@echo "  gh release create"
+	@echo
 	@echo "Please increment the version number in $(FILE_WITH_VERSION)"
 	@echo "and add a new empty entry at the top of the changelog in $(FILE_WITH_CHANGELOG), then"
 	@echo

=== debian/changelog ===
objgraph (3.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 15 Oct 2024 09:19:16 -0700

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-graphviz,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://mg.pov.lt/objgraph/
 Vcs-Git: https://salsa.debian.org/python-team/packages/objgraph.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/objgraph

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=objgraph
-export PYBUILD_TEST_ARGS=-v tests.py
+export PYBUILD_TEST_CUSTOM=1
+export PYBUILD_TEST_ARGS={interpreter} tests.py
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
